import GalleryList from "@/components/lists/GalleryList";

export default function HomePage() {
  return (
    <div className="max-w-7xl mx-auto px-4 py-12 space-y-12">
      <section className="text-center space-y-4">
        <h1 className="text-4xl font-bold tracking-tight">Welcome to Fellies Art</h1>
        <p className="text-lg text-muted-foreground">
          Here you will find all the artworks created for Citali, Jalo and Akai.<br />
          These are the three OCs of Fellies.
        </p>
      </section>
      <GalleryList />
    </div>
  );
}
