"use client";

import { Button } from "@/components/ui/button";
import { useGlobalSettings } from "@/hooks/useGlobalSettings";
import { Eye, EyeOff } from "lucide-react";

export default function NSFWToggle() {
  const { showNSFW, setShowNSFW } = useGlobalSettings();

  return (
    <Button
      variant="outline"
      size="icon"
      onClick={() => setShowNSFW(!showNSFW)}
      aria-label="Toggle NSFW content"
    >
      {showNSFW ? <Eye className="w-5 h-5" /> : <EyeOff className="w-5 h-5 opacity-50" />}
    </Button>
  );
}
